6.0.0-git
2019-03-20

[#11986] Problem with spellchecking in HTML messages
Summary Problem with spellchecking in HTML messages
Queue IMP
Queue Version 6.0.3
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester david.fernandez (at) ehu (dot) es
Created 2013-01-21 (2249 days ago)
Due
Updated 2013-01-22 (2248 days ago)
Assigned 2013-01-21 (2249 days ago)
Resolved 2013-01-22 (2248 days ago)
Milestone
Patch No

History
2013-01-22 10:48:36 Michael Slusarz Comment #3
State ⇒ Resolved
Reply to this comment
Fixed in Horde_Core 2.1.6.
2013-01-22 10:47:58 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 7caaa2dfd65f86def1383abf134ab57818d2ba61
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Jan 22 03:46:43 2013 -0700

     [mms] Fix spellchecking on HTML data (Bug #11986).

     Passing the html paramter got lost somewhere.

  .../lib/Horde/Core/Ajax/Imple/SpellChecker.php     |    7 ++++---
  framework/Core/package.xml                         |    2 ++
  2 files changed, 6 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/7caaa2dfd65f86def1383abf134ab57818d2ba61
2013-01-21 16:47:51 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
 
2013-01-21 15:38:45 david (dot) fernandez (at) ehu (dot) es Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Problem with spellchecking in HTML messages
Due ⇒ 2013-01-21
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
The mode (HTML or Text) is not passed to the spellchecker.
  The Spellchecker always assumes that the text is simple text. If we 
compose a HTML message that contains the & character (HTML entity like 
&nbsp;...) and then we use the spellchecker, the & characters are 
escaped to &amp;. As a consecuence the HTML entities are broken and 
part of they are displayed in the message.

To reproduce:
- Compose a message in HTML mode
- Insert a table with 1 or more empty cells.
- Use spellchecker
- When returning from spellchecking in the empty cells appears 
"&nbsp;". In the source code the original "&nbsp;" are replaced by 
"&amp;nbsp;".

Saved Queries